Bug 192625 - Code Completion blocked by downloading DTDs
Code Completion blocked by downloading DTDs
Status: VERIFIED FIXED
Product: xml
Classification: Unclassified
Component: Text-Edit
7.0
PC Linux
: P2 (vote)
: 7.0
Assigned To: Petr Jiricka
issues@xml
: 70_HR_FIX, PERFORMANCE
Depends on:
Blocks: 179727
  Show dependency treegraph
 
Reported: 2010-11-29 10:21 UTC by Jaroslav Tulach
Modified: 2011-03-21 11:07 UTC (History)
6 users (show)

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jaroslav Tulach 2010-11-29 10:21:56 UTC

    
Comment 1 Jaroslav Tulach 2010-11-29 10:24:10 UTC
The code completion slowness report
http://statistics.netbeans.org/exceptions/exception.do?id=445502
indicates that the code completion is blocked by an internet HTTP request initiated from
org.netbeans.modules.xml.text.completion.XMLCompletionProvider$Query.query()

At minimum the XML code completion needs to detect when it connects to network and notify user via:
http://bits.netbeans.org/dev/javadoc/org-netbeans-modules-editor-completion/org/netbeans/spi/editor/completion/CompletionResultSet.html#setWaitText(java.lang.String)
Comment 2 Petr Jiricka 2011-03-09 13:27:35 UTC
It sounds like this only affects the first-time usage when the schema is downloaded, and once it is downloaded, there is no slowdown. Requesting a waiver for NB 7.0.
Comment 3 Jaroslav Tulach 2011-03-09 15:34:13 UTC
The only necessary fix is to use setWaitText("Downloading DTD") by calling
http://bits.netbeans.org/dev/javadoc/org-netbeans-modules-editor-completion/org/netbeans/spi/editor/completion/CompletionResultSet.html#setWaitText(java.lang.String)
consider adding this one line change for 7.0.
Comment 4 Petr Hejl 2011-03-15 14:25:56 UTC
Wait text change in web-main 6cca6ac3632e.

Passing to Petr to check or update waiver status and TM.
Comment 5 Petr Jiricka 2011-03-15 14:58:53 UTC
Thanks a lot - I am backing off the waiver request. Should be considered for 7.0, adding 70_HR_FIX_CANDIDATE keyword.

So can this be condered fixed (in trunk)?
Comment 6 Marian Mirilovic 2011-03-15 18:08:25 UTC
(In reply to comment #5)
> So can this be condered fixed (in trunk)?

Go ahead.
Comment 7 Quality Engineering 2011-03-16 09:44:42 UTC
Integrated into 'main-golden', will be available in build *201103160400* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main/rev/6cca6ac3632e
User: phejl@netbeans.org
Log: #192625 Code Completion blocked by downloading DTDs
Comment 8 Petr Hejl 2011-03-16 09:58:05 UTC
I consider it fixed.
Comment 9 Petr Hejl 2011-03-16 10:00:33 UTC
Marian, please can you verify?
Comment 10 Marian Mirilovic 2011-03-16 13:01:59 UTC
(In reply to comment #9)
> Marian, please can you verify?

I have no idea how to test it, but I approve your integration into release70
Comment 11 Petr Hejl 2011-03-16 19:43:53 UTC
Transplanted into realease70 as 6ebef266b58f.
Comment 12 Antonin Nebuzelsky 2011-03-17 11:56:09 UTC
Note that the fix is wrong. It sets "Downloading DTD..." text to the completion popup regardless of what the CC query performers will do that what will take long.

See, e.g. issue 192628 which is about Maven CC perfomer which takes long while waiting for maven index. Unfortunatelly CC performers registered in XML cannot do anything with the setWaitText() method, they are only operating on xml's HintContext object, without the access to resultSet.setWaitText().

I suggest that this bug is fixed by changing "Downloading DTD..." to something more general like "Downloading...". It will also fix the issue 192628.
Comment 13 Quality Engineering 2011-03-18 09:49:14 UTC
Integrated into 'main-golden', will be available in build *201103180400* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main/rev/084de7752ae2
User: phejl@netbeans.org
Log: #192625 Code Completion blocked by downloading DTDs
Comment 14 Tomas Danek 2011-03-18 10:14:40 UTC
Petr: could you please let me know once you fix bundle also in release70? I'll verify.
Comment 15 Petr Hejl 2011-03-18 10:44:43 UTC
Transplanted as 919ba97c6722.

Guys, would be nice if you could watch HR process and reviewers list more carefully during the code freeze period to avoid reopening of HR_FIX bugs based on 3 months old P2 defect.
Comment 16 Marian Mirilovic 2011-03-18 11:07:31 UTC
(In reply to comment #15)
> Guys, would be nice if you could watch HR process and reviewers list more
> carefully during the code freeze period to avoid reopening of HR_FIX bugs based
> on 3 months old P2 defect.

+1 !
Comment 17 Tomas Danek 2011-03-21 11:07:17 UTC
verified.

Product Version: NetBeans IDE 7.0 RC1 (Build 201103210000)
Java: 1.6.0_24; Java HotSpot(TM) 64-Bit Server VM 19.1-b02-334
System: Mac OS X version 10.6.6 running on x86_64; MacRoman; en_US (nb)
Userdir: /Users/tomas/.netbeans/7.0rc1


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo